query GetUserById($userId: Int!) {
  user_by_pk(id: $userId) {
    name
    gender
    email
    joinedAt
    bio
    dob
    mobile
    lastActive
    location
    leaderboardRank
    lifetimeSPNValue
    totalHoldingValue
    status
    imageURL
    createdAccounts {
      accountAddress
    }
    wallets {
      coinSymbol
      balance
      team {
        name
        division
      }
      lastUsed
      walletAddress
    }
    favourite_teams {
      team {
        name
        id
      }
      likedAt
    }
    lifetimeSPNValue
    transactions {
      id
      endAt
      type
      fromCoin
      fromCoinAmount
      toCoin
      toCoinAmount
      gasFee
      exchangeRate
      status
    }
  }
}

query GetUserInfoStats($filterBy: user_bool_exp) {
  user_aggregate {
    aggregate {
      count
    }
  }
  user(where: $filterBy) {
    lastActive
    joinedAt
  }
}

query GetAllUsers($where: user_bool_exp = {}) {
  user(where: $where) {
    imageURL
    name
    key: id
    mobile
    email
    lifetimeSPNValue
    status
  }
}

mutation EditUserById(
  $userId: Int!
  $name: String = ""
  $bio: String = ""
  $status: String = ""
  $gender: String = ""
  $imageURL: String = ""
  $location: String = ""
  $dob: timestamp = ""
) {
  update_user(
    where: { id: { _eq: $userId } }
    _set: {
      name: $name
      dob: $dob
      bio: $bio
      status: $status
      gender: $gender
      location: $location
      imageURL: $imageURL
    }
  ) {
    affected_rows
  }
}
